/* app.cc -- part of the gismu view/edit tool */
/* Copyright (C) 2000 Raphael Poss <grey.havens@earthling.net> */
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <locale.h>

#include <cursesapp.h>

#include <iostream>
#include <fstream>

#include "gismu.h"
#include "ui_gihurjaho.h"
#include "jahostu.h"

class Samruhe : public NCursesApplication {
	protected:
		int titlesize() const { return 1; };
		void title();
	public:
		Samruhe() : NCursesApplication(TRUE) {};
		int run();
};

void Samruhe::title() {
	titleWindow->bkgd(screen_titles());
	titleWindow->addstr(0,
			(titleWindow->cols()-::strlen(samruhe_skitcita))/2,
			 samruhe_skitcita);
	titleWindow->noutrefresh();
};

int Samruhe::run() {
	::meta(::stdscr,TRUE);
	::setlocale(LC_ALL,"");
	jahostuste_cfari();
	
	Gihuste g;
	ifstream f("gismu.in");
	ifstream f2("gismu_new.in");
	ofstream jdefle("log");

	stetcidu(g, f, f2, jdefle);

	Gihustejaho G(g);
	G();
	if(G.puhidjica) {
		ofstream o("gismu_new.out");
		steciska(g, o);
	};

	return 0;
};

static Samruhe s;
