/* essai.cc -- part of the gismu view/edit tool */
/* Copyright (C) 2000 Raphael Poss <grey.havens@earthling.net> */
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <cursesapp.h>
#include <iostream>
#include <fstream>
#include "gismu.h"
#include "ui_glist.h"
#include <locale.h>

class Essai : public NCursesApplication {
	protected:
		int titlesize() const { return 1; }
		void title();
	public:
		Essai() : NCursesApplication(TRUE) { };
		int run();
};

void Essai::title() {
	const string title = "Gismu list editor";
	const int& len = title.length();
	
	titleWindow->bkgd(screen_titles());
	titleWindow->addstr(0,(titleWindow->cols()-len)/2,title.data());
	titleWindow->noutrefresh();
};

int Essai::run() {
	::meta(::stdscr,TRUE);
	setlocale(LC_ALL,"");
	gihuste_t g;
	ifstream in_c("gismu");
	
	read(g, in_c);
	// write(g, cerr);
	
	uiGismuList M(g);
	M();
	return 0;
};

static Essai Demo;

			  
			
				
	
