/* gismu.h -- part of the gismu view/edit tool */
/* Copyright (C) 2000 Raphael Poss <grey.havens@earthling.net> */
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _gismu_h 
#define _gismu_h

#include <string>
#include <map>
#include <iostream>

class Gihurvei {
	public:
		enum selvei_e {
			rafsi1 = 0,
			rafsi2,
			rafsi3,
			misvla,
			bridi,
			tb_mv1,
			tb_mv2,
			tb_mv3,
			tb_kw4,
			tb_kw5,
			pinka,
			cirsauski
		};
		static const int selveivau = (selvei_e) cirsauski + 1;
	private:
		string _selvei[selveivau+1];
		
	public:
		
		inline string misvlacpa()
		{ 
			const string& mv = _selvei[misvla];
			return mv.substr(0,mv.find(','));
		};
		
		inline const string& selveicpa(selvei_e moi)
		{ return _selvei[moi]; };

		inline void selveipuhi(selvei_e moi, const string& s)
		{ _selvei[moi] = s; };

		void ciska(ostream& cabstefle);
		bool tcidu(istream& cabstefle, ostream& jdefle);
		
};

typedef map<string,Gihurvei> Gihuste;

extern void stetcidu(Gihuste& gs, istream& cirsaustefle);
extern void stetcidu(Gihuste& gs, istream& cirsaustefle, istream& cabstefle,
				 ostream& jdefle = cerr);

extern void steciska(Gihuste& gs, ostream& cabste);

#endif
			  
			
				
	
